# Deprecated API

## Contents

- Interfaces
- Classes
- Methods
- Constructors

Deprecated Interfaces
Interface
Description
org.eclipse.mat.parser.internal.snapshot.IHistogramBuilderResolver
Use `HistogramBuilder.toHistogram(SnapshotImpl, boolean)` instead

Deprecated Classes
Class
Description
org.eclipse.mat.parser.internal.snapshot.HistogramBuilderResolverData
Use `HistogramBuilder.toHistogram(org.eclipse.mat.parser.internal.SnapshotImpl, boolean)` instead
org.eclipse.mat.snapshot.query.HistogramResult
Use `Histogram` instead.

Deprecated Methods
Method
Description
org.eclipse.mat.parser.internal.oql.parser.SimpleCharStream.getColumn()
org.eclipse.mat.parser.internal.oql.parser.SimpleCharStream.getLine()
org.eclipse.mat.parser.model.AbstractObjectImpl.getComparatorForClassSpecificName()
org.eclipse.mat.parser.model.AbstractObjectImpl.getComparatorForTechnicalName()
org.eclipse.mat.parser.model.AbstractObjectImpl.getComparatorForUsedHeapSize()
org.eclipse.mat.query.results.CompositeResult.getResults()
Use `CompositeResult.getResultEntries()` instead
org.eclipse.mat.snapshot.query.SnapshotQuery.set(String, Object)
use setArgument() instead
org.eclipse.mat.snapshot.registry.ClassSpecificNameResolverRegistry.registerResolver(String, IClassSpecificNameResolver)
Use default extension mechanism: just implement interface and register location via UI

Deprecated Constructors
Constructor
Description
org.eclipse.mat.report.SectionSpec()
org.eclipse.mat.snapshot.SnapshotInfo(String, String, int, Date, int, int, int, int, long)